# https://fedoraproject.org/wiki/Packaging:SourceURL
# From GitHub
%global commit cb151471f5eabf8466a3c6096b42607182e0e78e
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           gnome-shell-extension-dash-to-dock
Version:        3.34.2
Release:        lp152.1.3
Summary:        GNOME Shell Extension -- Dash to Dock
License:        GPL-2.0+
Group:          System/GUI/GNOME
Url:            https://micheleg.github.io/dash-to-dock/
Source:         https://github.com/micheleg/dash-to-dock/archive/%{commit}.tar.gz#/dash-to-dock-%{commit}.tar.gz

BuildRequires:  glib2-tools
# Needed for directory ownership
BuildRequires:  gnome-shell
BuildArch:      noarch

Requires:       gnome-shell
Recommends:     %{name}-lang = %{version}


%description
A dock for the Gnome Shell. This extension moves the dash out of the overview
transforming it in a dock for an easier launching of applications and a faster
switching between windows and desktops. Side and bottom placement options are
available.


%lang_package


%prep
%autosetup -n dash-to-dock-%{commit}


%build
make


%install
DESTDIR=%{buildroot} VERSION=%{version} make install
%find_lang dashtodock


%files
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.dash-to-dock.gschema.xml
%{_datadir}/gnome-shell/extensions/dash-to-dock*


%files lang -f dashtodock.lang


%changelog
* Thu Aug  1 2019 Antônio Vinicius Menezes Medeiros <linuxkamarada@gmail.com>
- First packaging, Dash to Dock v65 for GNOME Shell 3.26.2 (openSUSE Leap 15.1)
